"""nilmdb.server"""

# Try to set up pyximport to automatically rebuild Cython modules.  If
# this doesn't work, it's OK, as long as the modules were built externally.
# (e.g. python setup.py build_ext --inplace)
try: # pragma: no cover
    import pyximport
    pyximport.install(inplace = True, build_in_temp = False)
except (ImportError, TypeError): # pragma: no cover
    pass

from nilmdb.server.nilmdb import NilmDB
from nilmdb.server.server import Server, wsgi_application
from nilmdb.server.errors import NilmDBError, StreamError, OverlapError
